# PCLinuxOS Copyright by Bill Reynolds (Texstar)

Name: 		task-pulseaudio-remove
Version: 	2012.12.0
Release: 	%mkrel 4
Summary: 	Metapackage for Pulse Audio
Summary(de):	Metapaket für Pulse Audio
Group: 		System/X11
License: 	GPL
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Conflicts: 	task-pulseaudio
Conflicts: 	pulseaudio
Conflicts: 	pulseaudio-client-config
Conflicts: 	pulseaudio-esound-compat
Conflicts: 	pulseaudio-module-x11
Conflicts: 	pulseaudio-module-zeroconf
Conflicts: 	pulseaudio-utils
Conflicts: 	pulseaudio-module-equalizer
Conflicts: 	alsa-plugins-pulse-config 
Conflicts: 	%{_lib}alsa-plugins-pulseaudio
Conflicts:	pulseaudio-module-jack
Conflicts:	pulseaudio-module-bluetooth
Conflicts:	pulseaudio-module-lirc

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for removing Pulse Audio Sound System.
#german
%description -l de
Dieses Meta Paket deinstalliert alle benötigten PulseAudio Pakete restlos
von ihrem Computer.

Sie müssen danach ihren Rechner neustarten, um die Alternative Audio 
Ausgabe zu nutzen/aktivieren. 


%posttrans
/usr/sbin/update-alternatives --remove soundprofile /etc/sound/profiles/pulse
/usr/sbin/update-alternatives --remove soundprofile /etc/sound/profiles/alsa
/usr/sbin/update-alternatives --install /etc/sound/profiles/current soundprofile /etc/sound/profiles/alsa 20
#perl -pi -e "s|PULSE_SERVER_TYPE=personal|PULSE_SERVER_TYPE=none|" /etc/sysconfig/pulseaudio
echo "Pulse Audio has been disabled. Please reboot your system now.

PulseAudio wurde entfernt, bitte das System neu starten."

%files


%changelog
* Tue Jul 26 2016 adrianomorselli <adrianomorselli> 2012.12.0-4uplos2014
- rebuild
 
* Thu Apr 24 2014 bb <bb> 2012.12.0-4pclos2014
- update

* Sat Apr 12 2014 gseaman <galen.seaman at comcast.net> 2012.12.0-3gseaman2014
- added Conflicts: pulseaudio-module-jack

* Tue Dec 18 2012 daniel <meisssw01 at gmail.com> 2012.12.0-2pclos2012
- upstream tarball

* Fri May 25 2012 leiche <meisssw01 at gmail.com> 2012.2.0-1pclos2012
- 2012.2.0
- add german description

* Mon Nov 29 2010 Texstar <texstar at gmail.com> 2010-2pclos2010
- fix post script no /etc/sysconfig/pulseaudio after removal 

* Mon Nov 29 2010 Texstar <texstar at gmail.com> 2010-1pclos2010
- create package

